package com.dgtly.sync.service;

import com.dgtly.sync.domain.SyncFailDetail;
import java.util.List;

/**
 * 同步解析失败详情Service接口
 * 
 * @author qxp
 * @date 2020-07-14
 */
public interface ISyncFailDetailService 
{

    /**
     *  查询 失败类型
     * @param packageId
     * @return
     */
    List<String> selectSyncExceptionTypeList(String packageId);

    /**
     * 查询同步解析失败详情
     * 
     * @param packageId 同步解析失败详情ID
     * @return 同步解析失败详情
     */
    public SyncFailDetail selectSyncFailDetailById(String packageId);

    /**
     * 查询同步解析失败详情列表
     * 
     * @param syncFailDetail 同步解析失败详情
     * @return 同步解析失败详情集合
     */
    public List<SyncFailDetail> selectSyncFailDetailList(SyncFailDetail syncFailDetail);

    /**
     * 新增同步解析失败详情
     * 
     * @param syncFailDetail 同步解析失败详情
     * @return 结果
     */
    public int insertSyncFailDetail(SyncFailDetail syncFailDetail);

    /**
     * 修改同步解析失败详情
     * 
     * @param syncFailDetail 同步解析失败详情
     * @return 结果
     */
    public int updateSyncFailDetail(SyncFailDetail syncFailDetail);

    /**
     * 批量删除同步解析失败详情
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSyncFailDetailByIds(String ids);

    /**
     * 删除同步解析失败详情信息
     * 
     * @param packageId 同步解析失败详情ID
     * @return 结果
     */
    public int deleteSyncFailDetailById(String packageId);

    /**
     * 批量插入失败详情
     *
     * @return 结果
     */
    public Integer batchInsertSyncFailDetail(List<SyncFailDetail> failDetails);
}
